//---------------------------------------------------------------------------
// this is a tool file for WebLinkCaptor
//---------------------------------------------------------------------------





//---------------------------------------------------------------------------

@

@id = proc_addamazon_mouser
@label = Postprocess - Add amazon affiliate tag id
@path = Core.Add
@type = postprocess
@info =
This script will add amazon affiliate tags to applicable amazon links.<br/>
<br/>
You need to specify your amazon affiliate id using option <b>--tag "YOURAMAZONAFFILIATETAGIDHERE"</b>.
//
@commandlineapp = %TOOLSDIR%\scripts\core\postprocess_amazonaffiliate.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------








//---------------------------------------------------------------------------

@

@id = proc_regexreplace_mouser
@label = Regex Replace
@path = Core.Modify
@type = preprocess,postprocess
@info =
This script can be used to perform regular expression replacements in text.<br/>
<br/>
Options:
<ul>
<li><b>--find "REGEXFINDPATTERN"</b></li>
<li><b>--replace "REPLACEMENTPATTERN"</b></li>
<li><b>--target LABEL|SEARCH|URL|LINKTITLE|ALL</b> (optional, defaults to ALL)</li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only lines that match will be replaced</li>
</ul>

@commandlineapp = %TOOLSDIR%\scripts\core\process_replace_regex.py
@embeddable=pythonapiv1


@

@id = proc_simplereplace_mouser
@label = Simple Replace
@path = Core.Modify
@type = preprocess,postprocess
@info =
This script can be used to perform simple pattern replacements in text.<br/>
<br/>
Options:
<ul>
<li><b>--find "FINDPATTERN"</b></li>
<li><b>--replace "REPLACEMENTPATTERN"</b></li>
<li><b>--target LABEL|SEARCH|URL|LINKTITLE|ALL</b> (optional, defaults to ALL)</li>
<li><b>--match "REQUIREDPATTERN"</b> (optional, if specified only lines that match will be replaced</li>
</ul>

@commandlineapp = %TOOLSDIR%\scripts\core\process_replace_simple.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------

@

@id = proc_addtext_mouser
@label = Add Some Text
@path = Core.Add
@type = preprocess,postprocess
@info =
This script can be used to add text to entries.<br/>
<br/>
Options:
<ul>
<li><b>--prefix "TEXT TO ADD TO BEGINING"</b></li>
<li><b>--suffix "TEXT TO ADD TO END"</b></li>
<li><b>--target LABEL|SEARCH|URL|LINKTITLE|ALL</b> (optional, defaults to ALL)</li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only lines that match will be replaced</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\process_add.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------



//---------------------------------------------------------------------------

@

@id = proc_changecase_mouser
@label = Process - Change Case
@path = Core.Modify
@type = preprocess,postprocess
@info =
This script can be used to change the case of labels.<br/>
<br/>
Options:
<ul>
<li><b>--case "UPPER|LOWER|SENTENCE|TITLE"</b></li>
<li><b>--substring "REGEXPATTERN"</b> (optional, if specified then only the substring part of the text that matches regex will have its case changed); if you only want to change the case of part of the regex matched substring, use () grouping, with 3 groups in order for prefix, text to change, suffix.  For example on string "start stuff end" with --case "UPPER" --substring "(start)(.*)(end)" will result in "start STUFF end".</li>
<li><b>--target LABEL|SEARCH|URL|LINKTITLE|ALL</b> (optional, defaults to ALL)</li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only result lines that match will be modified.</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\process_changecase.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------





//---------------------------------------------------------------------------

@

@id = proc_splitregex_mouser
@label = Split Using Regex
@path = Core.Split
@type = preprocess
@info =
This script can be used to split the text input line into separate label and search components using a powerful regular expression operation.<br/>
<br/>
Options:
<ul>
<li><b>--regex "REGEXPATTERNUSEDTOPARTSE"</b></li>
<li><b>--label "BACKREFERENCE_TEXT_FOR_LABEL_COMPONENT"</b> -- where backreferences are \group#</li>
<li><b>--search "BACKREFERENCE_TEXT_FOR_SEARCH_COMPONENT"</b> -- where backreferences are \group#</li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only lines that match will be replaced</li>
</ul>
<br/><u>EXAMPLE</u>
<ul>
<li>If the input lines were like Bob Dylan - Boots of Spanish Leather - good</li>
<li>We might parse with: --regex "(.*) \- (.*) \-" --label "Artist: \1 Song: \2" --search "\1 \2"</i>
<li>Which would result in a label of <b>"Artist: Bob Dylan Song: Boots of Spanish Leather"</b> and search terms of <b>"Bob Dylan Boots of Spanish Leather"</b>.</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\preprocess_split_regex.py
@embeddable=pythonapiv1


@

@id = proc_splitsimple_mouser
@label = Split Using Simple Text Divider
@path = Core.Split
@type = preprocess
@info =
This script can be used to split the text input line into separate label and search components using a simple text divider string.<br/>
<br/>
Options:
<ul>
<li><b>--divider "TEXT_WHICH_SEPARATES_LABEL_FROM_SEARCH"</b></li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only lines that match will be replaced</li>
<li><b>--searchboth</b> (optional, if specified it means that the left of the divider will be the label, but the entire string will be used as the search component)</li>
</ul>
<br/><u>EXAMPLE</u>
<ul>
<li>If the input lines were like Bob Dylan - Boots of Spanish Leather</li>
<li>We might parse with: --divider "-"</li>
<li>Which would result in a label of <b>Bob Dylan</b> and search terms of <b>"Boots of Spanish Leather"</b>.</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\preprocess_split_simple.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------




//---------------------------------------------------------------------------

@

@id = proc_sort_mouser
@label = Sort
@path = Core.Modify
@type = preprocess
@info =
This script can be used to sort input lines by label (and remove duplicates).
<br/>
Options:
<ul>
<li><b>--reverse<b> (optional, if specified the list is sorted in descending order</li>
<li><b>--target LABEL|SEARCH|URL|LINKTITLE</b> (optional, field to sort on, defaults to LABEL)</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\preprocess_sort.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------








//---------------------------------------------------------------------------

@

@id = proc_scoremod_mouser
@label = Postprocess - Score Modifier
@path = Core.Modify
@type = postprocess
@info =
This script can be used to increase or decrease scores of results.<br/>
<br/>
Options:
<ul>
<li><b>--add "NUMERICAL_VALUE_TO_ADD_TO_SCORE"</b></li>
<li><b>--subtract "NUMERICAL_VALUE_TO_SUBTRACT_TO_SCORE"</b></li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only result lines that match will be modified</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\postprocess_scoremod.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------








//---------------------------------------------------------------------------

@

@id = proc_removelines_mouser
@label = Process - Remove matching lines
@path = Core.Modify
@type = preprocess,postprocess
@info =
This script can be used to remove lines (in input or search results).<br/>
<br/>
Options:
<ul>
<li><b>--scoremin "NUMERICAL_VALUE"</b> - (optional, if specified then only items with scores less than this value will be removed)</li>
<li><b>--match "REGEXREQUIREDPATTERN"</b> (optional, if specified only result lines that match will be modified</li>
</ul>
//
@commandlineapp = %TOOLSDIR%\scripts\core\process_removeline.py
@embeddable=pythonapiv1
//---------------------------------------------------------------------------

