#-------------------------------------------------------------------------------
# Name:        search
#-------------------------------------------------------------------------------
#!/usr/bin/env python


#-------------------------------------------------------------------------------
# imports we need
import sys
import os
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# add parent directory to path
curpath = os.path.dirname(os.path.realpath(__file__))
parpath = os.path.normpath(os.path.join(curpath, ".."))
sys.path.append(parpath)

# feedparser stuff
from helperlibs.feedparsermodule import feedparser

# import the parent classes
from TSearch import *
#-------------------------------------------------------------------------------









#---------------------------------------------------------------------------
class TSearch_RssOs(TSearch):

    def __init__(self):
        # parent init
        super(TSearch_RssOs, self).__init__()

    def __del__(self):
        pass


    def get_searchenginename(self):
        return "core.rssos"

    def get_DefaultUrlTemplate(self):
        urltemplate = "http://search.live.com/results.aspx?q={searchTerms}+site:www.amazon.com&format=rss"
        #urltemplate = "http://search.live.com/results.aspx?q={searchTerms}+site:en.wikipedia.org&format=rss"
        return urltemplate

    def ParseDerivedCommandlineArgs(self):
        # parse any derived object specific commandline options
        pass


    def ParseWebPageContentIntoResults(self,search,rss_resultcontent,baseresult):
        # parse content of page request into results
        results = []

        # ok in this case results are in rss format, so we parse that
        rssparse = feedparser.parse(rss_resultcontent)
        rssresults = rssparse.entries

        resultindex=0
        for rssresult in rssresults:
            #print ""
            #print "RESULT "+str(resultindex)
            #print osresult
            #print ""
            # start with base result
            result = dict(baseresult)

            # now get properties
            result["linktitle"]=self.helper.UnEscapeHtmlText(rssresult.title)
            result["search"]=search
            result["url"]=self.helper.UnEscapeUrl(rssresult.link)
            result["excerpthtml"]=self.helper.CleanHtmlExcerptLine(rssresult.description)
            # score with first result highest
            scoreval=(100-resultindex)
            result["score"]=str(scoreval)
            # add it
            results.append(result)
            # increment index
            resultindex=resultindex+1
            #return results

        return results
#---------------------------------------------------------------------------






























#---------------------------------------------------------------------------
def main(comlineargs=None):
    # make object
    searcher = TSearch_RssOs()

    # and ask it to run with commandline options
    return searcher.RunWithCommandlineOptions(comlineargs)
#---------------------------------------------------------------------------




#-------------------------------------------------------------------------------
if __name__ == '__main__':
    main()
#-------------------------------------------------------------------------------










